=== debian/changelog ===
ros-galactic-rmw-cyclonedds-cpp (0.22.6-1focal) focal; urgency=high

  * Handle allocation errors during message deserialization (#418 <https://github.com/ros2/rmw_cyclonedds/issues/418>)
  * Adds topic name to error msg when create_topic fails (#421 <https://github.com/ros2/rmw_cyclonedds/issues/421>)
  * Improve error message when create_topic fails (#407 <https://github.com/ros2/rmw_cyclonedds/issues/407>)
  * Contributors: Jacob Perron, Michel Hidalgo, Shane Loretz, Voldivh

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.5-1focal) focal; urgency=high

  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>) (#368 <https://github.com/ros2/rmw_cyclonedds/issues/368>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.4-1focal) focal; urgency=high

  * Fix use of deprecated is_loan_available (#359 <https://github.com/ros2/rmw_cyclonedds/issues/359>)
  * rmw_cyclonedds_cpp/CMakeLists.txt: add -latomic for RISC-V (#334 <https://github.com/ros2/rmw_cyclonedds/issues/334>)
  * Contributors: eboasson, guillaume-pais-siemens

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 22 Dec 2021 08:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.3-1focal) focal; urgency=high

  * Update Galactic to support zero-copy. (#321 <https://github.com/ros2/rmw_cyclonedds/issues/321>)
  * Contributors: eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 17 Jun 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.2-1focal) focal; urgency=high

  * Fix the history depth for KEEP_ALL. (#305 <https://github.com/ros2/rmw_cyclonedds/issues/305>)
  * Contributors: Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.1-1focal) focal; urgency=high

  * Use the macros from Cyclone DDS to work with sample payload when using SHM (#300 <https://github.com/ros2/rmw_cyclonedds/issues/300>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.22.0-1focal) focal; urgency=high

  * Add loaned sample zero-copy API support (#297 <https://github.com/ros2/rmw_cyclonedds/issues/297>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 07 Apr 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.21.0-1focal) focal; urgency=high

  * Indicate missing support for unique network flows (#282 <https://github.com/ros2/rmw_cyclonedds/issues/282>)
  * Contributors: Ananya Muddukrishna

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.20.0-1focal) focal; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#288 <https://github.com/ros2/rmw_cyclonedds/issues/288>)
  * Contributors: Emerson Knapp

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.19.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#286 <https://github.com/ros2/rmw_cyclonedds/issues/286>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.18.4-1focal) focal; urgency=high

  * Fix use-after-free in error handling bug
  * Drop compatibility with ancient cyclone versions
  * Update to use Cyclone's renamed ddsi_sertype
  * Use init-on-first-use for global state (#275 <https://github.com/ros2/rmw_cyclonedds/issues/275>)
  * Make sure to reset the error when a typesupport can't be found.
  * Switch to using the generic functions for the typesupport handles.
  * Handle typesupport errors on fetch. (#271 <https://github.com/ros2/rmw_cyclonedds/issues/271>)
  * Handle potential divide by 0 (#267 <https://github.com/ros2/rmw_cyclonedds/issues/267>)
  * Fix incorrect log message(rmw_fastrtps_shared_cpp -> rmw_cylonedds_cpp) (#260 <https://github.com/ros2/rmw_cyclonedds/issues/260>)
  * Update maintainers (#254 <https://github.com/ros2/rmw_cyclonedds/issues/254>)
  * Change wrong use of %ld to print std::size_t to %zu
  * Contributors: Chris Lalancette, Erik Boasson, Ivan Santiago Paunovic, Michel Hidalgo, Stephen Brawner, Sven Brinkmann, eboasson, pluris

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.18.3-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#250 <https://github.com/ros2/rmw_cyclonedds/issues/250>)
  * Update service/client request/response API error returns (#249 <https://github.com/ros2/rmw_cyclonedds/issues/249>)
  * Contributors: Alejandro Hernández Cordero, Jose Tomas Lorente

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 29 Sep 2020 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.18.2-1focal) focal; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes (#246 <https://github.com/ros2/rmw_cyclonedds/issues/246>)
  * Contributors: Alejandro Hernández Cordero

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 25 Sep 2020 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.18.1-1focal) focal; urgency=high

  * Fix array get_function semantics (#248 <https://github.com/ros2/rmw_cyclonedds/issues/248>)
  * Update service/client construction/destruction API return codes. (#247 <https://github.com/ros2/rmw_cyclonedds/issues/247>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 24 Sep 2020 07:00:00 -0000

ros-galactic-rmw-cyclonedds-cpp (0.18.0-1focal) focal; urgency=high

  * Update gid API return codes. (#244 <https://github.com/ros2/rmw_cyclonedds/issues/244>)

